Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPString

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPConstant
org.apache.commons.compress.harmony.unpack200.bytecode.CPString

public class CPString extends CPConstant
String constant pool entry.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPString(CPUTF8 value, int globalIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  `int`
  `hashCode()`
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries
  `String`
  `toString()`
  `protected void`
  `writeBody(DataOutputStream dos)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.CPConstant

  `equals, getValue`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPString

    public CPString(CPUTF8 value, int globalIndex)

- ## Method Details

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Overrides:
      `getNestedClassFileEntries` in class `ClassFileEntry`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CPConstant`

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Allows the constant pool entries to resolve their nested entries
    Overrides:
      `resolve` in class `ClassFileEntry`
    Parameters:
      `pool` - TODO

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Specified by:
      `writeBody` in class `ConstantPoolEntry`
    Throws:
      `IOException`